#pragma once

#include "EPollManager.h"
#include "SocketManager.h"
#include "Types.h"

#include <string>

namespace VWeb {
struct ServerConfig {
  int Port{9020};
  int MaxBufferSize{-1};
  int BufferSize{16384};
  int WorkerThreads{-1};
  int MaxEvents{5000};
  bool AllowSharedLibs{true};
  Ref<EPollManager> EPoll{nullptr};
  Ref<SocketManager> Socket{nullptr};
  std::string ErrorDir;
  std::string MimeFiles;
};
}