#pragma once

#include <sstream>

namespace VWeb {
enum class EPollReturns { OK = 0, BREAK, FAILURE };
enum class WriteState { OK = 0, EPOLL, ERRORED };

struct Accept {
  EPollReturns ReturnValue{EPollReturns::OK};
  std::stringstream Data{};
  ssize_t CurrentBytes;
  int SockId{-1};
};

struct SendData {
  ssize_t Offset{0};
  ssize_t Size{0};
  int SocketID{0};
  std::string Content;
};
} // namespace VWeb